std::domain_error(3)

NAME
std::domain_error -

SYNOPSIS

Inherits logic_error.

Detailed Description

Thrown by the library, or by you, to report domain errors (domain in the mathmatical sense).

Definition at line 74 of file stdexcept.

  Public Member Functions
domain_error (const string &__arg)
virtual const char * what () const throw ()

Member Function Documentation

  virtual const char* what () const throw () [virtual, inherited]

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.